--- old/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-05-08 18:10:42.547134614 -0400
+++ new/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-05-08 18:10:42.553964163 -0400
@@ -31,8 +31,6 @@
  * under license from the Regents of the University of California.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * VM - segment for non-faulting loads.
  */
@@ -68,53 +66,38 @@
 		    size_t len, uint_t prot);
 static int	segnf_checkprot(struct seg *seg, caddr_t addr,
 		    size_t len, uint_t prot);
-static void	segnf_badop(void);
 static int	segnf_nop(void);
 static int	segnf_getprot(struct seg *seg, caddr_t addr,
 		    size_t len, uint_t *protv);
 static u_offset_t segnf_getoffset(struct seg *seg, caddr_t addr);
 static int	segnf_gettype(struct seg *seg, caddr_t addr);
 static int	segnf_getvp(struct seg *seg, caddr_t addr, struct vnode **vpp);
-static void	segnf_dump(struct seg *seg);
 static int	segnf_pagelock(struct seg *seg, caddr_t addr, size_t len,
 		    struct page ***ppp, enum lock_type type, enum seg_rw rw);
-static int	segnf_setpagesize(struct seg *seg, caddr_t addr, size_t len,
-		    uint_t szc);
-static int	segnf_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
-static lgrp_mem_policy_info_t	*segnf_getpolicy(struct seg *seg,
-    caddr_t addr);
-
-
-struct seg_ops segnf_ops = {
-	segnf_dup,
-	segnf_unmap,
-	segnf_free,
-	(faultcode_t (*)(struct hat *, struct seg *, caddr_t, size_t,
-	    enum fault_type, enum seg_rw))
-		segnf_nomap,		/* fault */
-	(faultcode_t (*)(struct seg *, caddr_t))
-		segnf_nomap,		/* faulta */
-	segnf_setprot,
-	segnf_checkprot,
-	(int (*)())segnf_badop,		/* kluster */
-	(size_t (*)(struct seg *))NULL,	/* swapout */
-	(int (*)(struct seg *, caddr_t, size_t, int, uint_t))
-		segnf_nop,		/* sync */
-	(size_t (*)(struct seg *, caddr_t, size_t, char *))
-		segnf_nop,		/* incore */
-	(int (*)(struct seg *, caddr_t, size_t, int, int, ulong_t *, size_t))
-		segnf_nop,		/* lockop */
-	segnf_getprot,
-	segnf_getoffset,
-	segnf_gettype,
-	segnf_getvp,
-	(int (*)(struct seg *, caddr_t, size_t, uint_t))
-		segnf_nop,		/* advise */
-	segnf_dump,
-	segnf_pagelock,
-	segnf_setpagesize,
-	segnf_getmemid,
-	segnf_getpolicy,
+
+
+const struct seg_ops segnf_ops = {
+	.dup		= segnf_dup,
+	.unmap		= segnf_unmap,
+	.free		= segnf_free,
+	.fault		= (faultcode_t (*)(struct hat *, struct seg *, caddr_t,
+	    size_t, enum fault_type, enum seg_rw))segnf_nomap,
+	.faulta		= (faultcode_t (*)(struct seg *, caddr_t)) segnf_nomap,
+	.setprot	= segnf_setprot,
+	.checkprot	= segnf_checkprot,
+	.sync		= (int (*)(struct seg *, caddr_t, size_t, int, uint_t))
+		segnf_nop,
+	.incore		= (size_t (*)(struct seg *, caddr_t, size_t, char *))
+		segnf_nop,
+	.lockop		= (int (*)(struct seg *, caddr_t, size_t, int, int,
+	    ulong_t *, size_t))segnf_nop,
+	.getprot	= segnf_getprot,
+	.getoffset	= segnf_getoffset,
+	.gettype	= segnf_gettype,
+	.getvp		= segnf_getvp,
+	.advise		= (int (*)(struct seg *, caddr_t, size_t, uint_t))
+		segnf_nop,
+	.pagelock	= segnf_pagelock,
 };
 
 /*
@@ -406,13 +389,6 @@
 	return ((prot & sprot) == prot ? 0 : EACCES);
 }
 
-static void
-segnf_badop(void)
-{
-	panic("segnf_badop");
-	/*NOTREACHED*/
-}
-
 static int
 segnf_nop(void)
 {
@@ -459,14 +435,6 @@
 	return (0);
 }
 
-/*
- * segnf pages are not dumped, so we just return
- */
-/* ARGSUSED */
-static void
-segnf_dump(struct seg *seg)
-{}
-
 /*ARGSUSED*/
 static int
 segnf_pagelock(struct seg *seg, caddr_t addr, size_t len,
@@ -474,25 +442,3 @@
 {
 	return (ENOTSUP);
 }
-
-/*ARGSUSED*/
-static int
-segnf_setpagesize(struct seg *seg, caddr_t addr, size_t len,
-    uint_t szc)
-{
-	return (ENOTSUP);
-}
-
-/*ARGSUSED*/
-static int
-segnf_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp)
-{
-	return (ENODEV);
-}
-
-/*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segnf_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
